%define name zz_sshd_nonkerberized
%define version 3.9
%define release 1

Summary: Change the normally kerberized sshd, to non kerberized
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: openssh-server
BuildArch: noarch

%description
Fermi's openssh is normally kerberized out of the box.  This rpm will make it
non-kerberized.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc/ssh
cp -r * $RPM_BUILD_ROOT/etc/ssh

%post
if [ -f /etc/ssh/sshd_config ] ; then
	if ! [ -f /etc/ssh/sshd_config.save ] ; then
		/bin/mv -f /etc/ssh/sshd_config /etc/ssh/sshd_config.save
	fi
fi
/bin/cp -f /etc/ssh/sshd_config.nonkerberized /etc/ssh/sshd_config

%postun
if [ "$1" = "0" ] ; then
	if [ -f /etc/ssh/sshd_config.save ] ; then
		/bin/cp -f /etc/ssh/sshd_config.save /etc/ssh/sshd_config
	fi	
fi

%triggerin -- openssh-server
if [ -f /etc/ssh/sshd_config ] ; then
	if ! [ -f /etc/ssh/sshd_config.save ] ; then
		/bin/mv -f /etc/ssh/sshd_config /etc/ssh/sshd_config.save
	fi
fi
/bin/cp -f /etc/ssh/sshd_config.nonkerberized /etc/ssh/sshd_config


%files
/etc/ssh/sshd_config.kerberized
/etc/ssh/sshd_config.nonkerberized

%changelog
* Mon Aug 21 2006 Troy Dawson <dawson@fnal.gov> 3.9-1
- Changed to the configuration files for openssh 3.9.

* Thu Dec 15 2005 Troy Dawson <dawson@fnal.gov> 1.1-1
- Really really fixed that Priviledged Separation User problem.
